SSH-COPY-ID(1)

NAME
ssh-copy-id - copy public keys to a remote host

SYNOPSIS
ssh-copy-id [-lv] [-i keyfile] [-o option] [-p port] [user@]hostname

DESCRIPTION
The ssh-copy-id utility copies public keys to a remote host's ~/.ssh/authorized_keys file (creating the file and directory, if required).

The following options are available:

-i file
    Copy the public key contained in file. This option can be specified multiple times and can be combined with the -l option. If a private key is specified and a public key is found then the public key will be used.

-l  Copy the keys currently held by ssh-agent(1). This is the default if the -i option was not specified.

-o ssh-option
    Pass this option directly to ssh(1). This option can be specified multiple times.

-p port
    Connect to the specified port on the remote host instead of the default.

-v  Pass -v to ssh(1).

The remaining arguments are a list of remote hosts to connect to, each one optionally qualified by a user name.

EXIT STATUS

EXAMPLES
To send a specific key to multiple hosts:
    $ ssh-copy-id -i /path/to/keyfile.pub user@host1 user@host2 user@host3

HISTORY
The ssh-copy-id utility was written by Eitan Adler <eadler@FreeBSD.org> as a drop-in replacement for an existing utility included with OpenSSH.